OCTRNG(4)

NAME
octrng - octeon random number generator

SYNOPSIS
octrng* at iobus?

DESCRIPTION
The octrng driver supports the random number generator found on the CN50XX chip.

After the 5 seconds it takes for the device to be initialized, the octrng driver feeds the random subsystem's entropy pool 32 bits of data every 10 milliseconds through the enqueue_randomness(9) API.

SEE ALSO
intro(4), arc4random(9)

HISTORY
The octrng driver first appeared in OpenBSD 5.5.

AUTHORS
-nosplit The octrng driver was written by Paul Irofti <pirofti@openbsd.org>.